Gtk::RecentManagerError Class Reference

Exception class for Gtk::RecentManager errors. More...

Inheritance diagram for Gtk::RecentManagerError:
[legend]

## Public Types

enum | Code { NOT_FOUND, INVALID_URI, INVALID_ENCODING, NOT_REGISTERED, READ, WRITE, UNKNOWN }

## Public Member Functions

| RecentManagerError (Code error_code, const Glib::ustring& error_message)
| RecentManagerError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gtk::RecentManager errors.

## Member Enumeration Documentation

enum Gtk::RecentManagerError::Code

Enumerator
NOT_FOUND | the URI specified does not exists in the recently used resources list.
INVALID_URI | the URI specified is not valid.
INVALID_ENCODING | the supplied string is not UTF-8 encoded.
NOT_REGISTERED | no application has registered the specified item.
READ | failure while reading the recently used resources file.
WRITE | failure while writing the recently used resources file.
UNKNOWN | unspecified error.

## Constructor & Destructor Documentation

Gtk::RecentManagerError::RecentManagerError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::RecentManagerError::RecentManagerError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gtk::RecentManagerError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gtkmm/recentmanager.h